if not AspectInspect then return end

local L = LibStub("AceLocale-3.0"):GetLocale("AspectInspect")

local stats

function AspectInspect:InitialiseStats()
	stats = {}
	-- index 0 used for totals
	for index = 0, 5 do
		stats[index] = {}
		stats[index].mana = 0
		stats[index].time = 0
		stats[index].bossHealth = 0
	end
end

function AspectInspect:UpdateStats()
	-- first shift all stats down one
	firstUsed = 5
	for index = 1, 4 do
		stats[index] = stats[index+1]
		if stats[index].time > 0 and firstUsed == 5 then
			firstUsed = index
		end
	end
	stats[5].mana = UnitMana("player")
	stats[5].time = GetTime()
	stats[5].bossHealth = UnitHealth("target")
	if firstUsed ~= 5 then
		stats[0].time = stats[5].time - stats[firstUsed].time
		stats[0].mana = (stats[5].mana - stats[firstUsed].mana) / stats[0].time
		stats[0].bossHealth = (stats[5].bossHealth - stats[firstUsed].bossHealth) / stats[0].time
	end
end

function AspectInspect:ShowStats()
	self:DebugPrint("Current stats : timeElapsed:"..format("%.2f",stats[0].time).." - MPS:"..format("%.2f",stats[0].mana).." BossHPS:"..format("%.2f",stats[0].bossHealth))
end

